#-----------------------------------------------------------------------
# File    : sudoku.mak
# Contents: build simple Sudoku solver
# Author  : Christian Borgelt
# History : 2007.09.29 file created
#-----------------------------------------------------------------------
CC      = cl.exe
DEFS    = /D WIN32 /D NDEBUG /D _CONSOLE /D _CRT_SECURE_NO_WARNINGS
CFLAGS  = /nologo /W3 /O2 /GS- $(DEFS) /c

LD      = link.exe
LDFLAGS = /nologo /subsystem:console /incremental:no
LIBS    = 

PRGS    = sudoku.exe

#-----------------------------------------------------------------------
# Build Programs
#-----------------------------------------------------------------------
all:          $(PRGS)

sudoku.exe:   sudoku.obj
	$(LD) $(LDFLAGS) sudoku.obj $(LIBS) /out:$@

sudoku.obj:   sudoku.c sudoku.mak
	$(CC) $(CFLAGS) sudoku.c /Fo$@

#-----------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------
install:
	-@copy $(PRGS) ..\..\..\bin

#-----------------------------------------------------------------------
# Clean up
#-----------------------------------------------------------------------
clean:
	-@erase /Q *~ *.obj *.idb *.pch $(PRGS)
